From 182afda3f2537022ac2e0b7f421977ba96ce864e Mon Sep 17 00:00:00 2001
From: Camelia Groza <camelia.groza@nxp.com>
Date: Mon, 17 Sep 2018 12:44:51 +0300
Subject: [PATCH] sdk_dpaa: ls1043a errata: move comment

Signed-off-by: Camelia Groza <camelia.groza@nxp.com>
---
 drivers/net/ethernet/freescale/sdk_dpaa/dpaa_eth.h    | 3 +++
 drivers/net/ethernet/freescale/sdk_dpaa/dpaa_eth_sg.c | 3 ---
 2 files changed, 3 insertions(+), 3 deletions(-)

--- a/drivers/net/ethernet/freescale/sdk_dpaa/dpaa_eth.h
+++ b/drivers/net/ethernet/freescale/sdk_dpaa/dpaa_eth.h
@@ -682,6 +682,9 @@ extern bool dpaa_errata_a010022; /* SoC
 #define HAS_DMA_ISSUE(start, size) \
 	(((uintptr_t)(start) + (size)) > \
 	 (((uintptr_t)(start) + 0x1000) & ~0xFFF))
+/* The headroom needs to accommodate our private data (64 bytes) but
+ * we reserve 256 bytes instead to guarantee 256 data alignment.
+ */
 #define DPAA_A010022_HEADROOM	256
 #endif  /* !CONFIG_PPC */
 
--- a/drivers/net/ethernet/freescale/sdk_dpaa/dpaa_eth_sg.c
+++ b/drivers/net/ethernet/freescale/sdk_dpaa/dpaa_eth_sg.c
@@ -823,9 +823,6 @@ static struct sk_buff *a010022_realign_s
 	struct page *npage;
 	void *npage_addr;
 
-	/* The headroom needs to accommodate our private data (64 bytes) but
-	 * we reserve 256 bytes instead to guarantee 256 data alignment.
-	 */
 	headroom = DPAA_A010022_HEADROOM;
 
 	/* For the new skb we only need the old one's data (both non-paged and
